// #ifdef VUE3
import {
  createSSRApp
} from 'vue'
import * as Pinia from 'pinia'
import App from './App.vue'
import DictTag from './components/DictTag/index.vue' // 导入DictTag组件
export function createApp() {
  const app = createSSRApp(App)
  app.use(Pinia.createPinia())
  app.component('DictTag', DictTag) // 注册全局组件
  return {
    app,
    Pinia // 此处必须将 Pinia 返回
  }
}
// #endif